Index: palm/trunk/SOURCE/lpm_boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/lpm_boundary_conds.f90	(revision 1360)
+++ palm/trunk/SOURCE/lpm_boundary_conds.f90	(revision 1682)
@@ -1,4 +1,3 @@
- SUBROUTINE lpm_boundary_conds( range )
-
+!> @file lpm_boundary_conds.f90
 !--------------------------------------------------------------------------------!
 ! This file is part of PALM.
@@ -20,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Code annotations made doxygen readable 
 ! 
 ! Former revisions:
@@ -52,18 +51,20 @@
 ! Description:
 ! ------------
-! Boundary conditions for the Lagrangian particles.
-! The routine consists of two different parts. One handles the bottom (flat)
-! and top boundary. In this part, also particles which exceeded their lifetime
-! are deleted.
-! The other part handles the reflection of particles from vertical walls.
-! This part was developed by Jin Zhang during 2006-2007.
-!
-! To do: Code structure for finding the t_index values and for checking the
-! -----  reflection conditions is basically the same for all four cases, so it
-!        should be possible to further simplify/shorten it.
-!
-! THE WALLS PART OF THIS ROUTINE HAS NOT BEEN TESTED FOR OCEAN RUNS SO FAR!!!!
-! (see offset_ocean_*)
+!> Boundary conditions for the Lagrangian particles.
+!> The routine consists of two different parts. One handles the bottom (flat)
+!> and top boundary. In this part, also particles which exceeded their lifetime
+!> are deleted.
+!> The other part handles the reflection of particles from vertical walls.
+!> This part was developed by Jin Zhang during 2006-2007.
+!>
+!> To do: Code structure for finding the t_index values and for checking the
+!> -----  reflection conditions is basically the same for all four cases, so it
+!>        should be possible to further simplify/shorten it.
+!>
+!> THE WALLS PART OF THIS ROUTINE HAS NOT BEEN TESTED FOR OCEAN RUNS SO FAR!!!!
+!> (see offset_ocean_*)
 !------------------------------------------------------------------------------!
+ SUBROUTINE lpm_boundary_conds( range )
+ 
 
     USE arrays_3d,                                                             &
@@ -94,48 +95,48 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  range     !:
+    CHARACTER (LEN=*) ::  range     !<
     
-    INTEGER(iwp) ::  i              !:
-    INTEGER(iwp) ::  inc            !:
-    INTEGER(iwp) ::  ir             !:
-    INTEGER(iwp) ::  i1             !:
-    INTEGER(iwp) ::  i2             !:
-    INTEGER(iwp) ::  i3             !:
-    INTEGER(iwp) ::  i5             !:
-    INTEGER(iwp) ::  j              !:
-    INTEGER(iwp) ::  jr             !:
-    INTEGER(iwp) ::  j1             !:
-    INTEGER(iwp) ::  j2             !:
-    INTEGER(iwp) ::  j3             !:
-    INTEGER(iwp) ::  j5             !:
-    INTEGER(iwp) ::  k              !:
-    INTEGER(iwp) ::  k1             !:
-    INTEGER(iwp) ::  k2             !:
-    INTEGER(iwp) ::  k3             !:
-    INTEGER(iwp) ::  k5             !:
-    INTEGER(iwp) ::  n              !:
-    INTEGER(iwp) ::  nn             !:
-    INTEGER(iwp) ::  t_index        !:
-    INTEGER(iwp) ::  t_index_number !:
+    INTEGER(iwp) ::  i              !<
+    INTEGER(iwp) ::  inc            !<
+    INTEGER(iwp) ::  ir             !<
+    INTEGER(iwp) ::  i1             !<
+    INTEGER(iwp) ::  i2             !<
+    INTEGER(iwp) ::  i3             !<
+    INTEGER(iwp) ::  i5             !<
+    INTEGER(iwp) ::  j              !<
+    INTEGER(iwp) ::  jr             !<
+    INTEGER(iwp) ::  j1             !<
+    INTEGER(iwp) ::  j2             !<
+    INTEGER(iwp) ::  j3             !<
+    INTEGER(iwp) ::  j5             !<
+    INTEGER(iwp) ::  k              !<
+    INTEGER(iwp) ::  k1             !<
+    INTEGER(iwp) ::  k2             !<
+    INTEGER(iwp) ::  k3             !<
+    INTEGER(iwp) ::  k5             !<
+    INTEGER(iwp) ::  n              !<
+    INTEGER(iwp) ::  nn             !<
+    INTEGER(iwp) ::  t_index        !<
+    INTEGER(iwp) ::  t_index_number !<
     
-    LOGICAL  ::  reflect_x   !:
-    LOGICAL  ::  reflect_y   !:
-    LOGICAL  ::  reflect_z   !:
-
-    REAL(wp) ::  dt_particle !:
-    REAL(wp) ::  pos_x       !:
-    REAL(wp) ::  pos_x_old   !:
-    REAL(wp) ::  pos_y       !:
-    REAL(wp) ::  pos_y_old   !:
-    REAL(wp) ::  pos_z       !:
-    REAL(wp) ::  pos_z_old   !:
-    REAL(wp) ::  prt_x       !:
-    REAL(wp) ::  prt_y       !:
-    REAL(wp) ::  prt_z       !:
-    REAL(wp) ::  t(1:200)    !:
-    REAL(wp) ::  tmp_t       !:
-    REAL(wp) ::  xline       !:
-    REAL(wp) ::  yline       !:
-    REAL(wp) ::  zline       !:
+    LOGICAL  ::  reflect_x   !<
+    LOGICAL  ::  reflect_y   !<
+    LOGICAL  ::  reflect_z   !<
+
+    REAL(wp) ::  dt_particle !<
+    REAL(wp) ::  pos_x       !<
+    REAL(wp) ::  pos_x_old   !<
+    REAL(wp) ::  pos_y       !<
+    REAL(wp) ::  pos_y_old   !<
+    REAL(wp) ::  pos_z       !<
+    REAL(wp) ::  pos_z_old   !<
+    REAL(wp) ::  prt_x       !<
+    REAL(wp) ::  prt_y       !<
+    REAL(wp) ::  prt_z       !<
+    REAL(wp) ::  t(1:200)    !<
+    REAL(wp) ::  tmp_t       !<
+    REAL(wp) ::  xline       !<
+    REAL(wp) ::  yline       !<
+    REAL(wp) ::  zline       !<
 
     IF ( range == 'bottom/top' )  THEN
